The project's dashboards
curl --request GET \
--url https://api.apsio.io/v1/projects/{projectId}/dashboards \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.apsio.io/v1/projects/{projectId}/dashboards"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.apsio.io/v1/projects/{projectId}/dashboards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"dashboards": [
{
"id": "<string>",
"project_id": "<string>",
"name": "<string>",
"position": 123,
"created_by": "<string>",
"updated_by": "<string>",
"updated_via": "console",
"created_at": "<string>",
"updated_at": "<string>"
}
]
}{
"error": {
"code": "invalid_request",
"message": "<string>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>"
}
}API reference
The project's dashboards
GET
/
projects
/
{projectId}
/
dashboards
The project's dashboards
Authorizations
bearersession
A project token (apsio_pt_v0...), which reads exactly one project, or an OAuth access token issued for the API, which reads what its user can. Access tokens issued for Apsio's MCP server are accepted only from the MCP server itself.
Path Parameters
Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Example:
"0192f3a4-0000-7000-8000-00000000a101"
Response
In their order.
Show child attributes
Show child attributes